Bug 208666 - hda-intel audio doesn't always load correctly
hda-intel audio doesn't always load correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Brian Brock
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2006-09-29 19:14 EDT by Thomas J. Baker
Modified: 2009-07-14 13:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of gnome-mixer when index=1 in modprobe.conf (136.46 KB, image/png)
2007-01-03 14:01 EST, Thomas J. Baker
no flags Details
Output of lspci -v (7.72 KB, text/plain)
2007-11-13 22:27 EST, William Lovaton
no flags Details
Output of lspci -n (750 bytes, text/plain)
2007-11-13 22:28 EST, William Lovaton
no flags Details

  None (edit)
Description Thomas J. Baker 2006-09-29 19:14:47 EDT
Description of problem:

I've got a Dell XPS M1210 laptop that has intel audio and a large percentage of
time the sound doesn't work. The only error is in dmesg about an error creating
the card. Grepping /var/log/messages reveals the error over several reboots over
the last couple of days:

Sep 26 16:35:56 continuity kernel: hda-intel: Error creating card!
Sep 26 18:28:50 continuity kernel: hda-intel: Error creating card!
Sep 26 21:13:26 continuity kernel: hda-intel: Error creating card!
Sep 26 21:51:49 continuity kernel: hda-intel: Error creating card!
Sep 27 09:43:40 continuity kernel: hda-intel: Error creating card!
Sep 27 14:35:14 continuity kernel: hda-intel: Error creating card!
Sep 27 16:00:17 continuity kernel: hda-intel: Error creating card!
Sep 27 16:31:21 continuity kernel: hda-intel: Error creating card!
Sep 28 08:31:35 continuity kernel: hda-intel: Error creating card!
Sep 28 13:30:14 continuity kernel: hda-intel: Error creating card!
Sep 28 14:45:43 continuity kernel: hda-intel: Error creating card!
Sep 28 20:38:35 continuity kernel: hda-intel: Error creating card!
Sep 29 14:08:35 continuity kernel: hda-intel: Error creating card!
Sep 29 17:55:08 continuity kernel: hda-intel: Error creating card!
Sep 29 18:11:29 continuity kernel: hda-intel: Error creating card!
Sep 29 18:26:27 continuity kernel: hda-intel: Error creating card!


Version-Release number of selected component (if applicable):

The problem has occured with the following kernels:

kernel-2.6.18-1.2698.2.2.fc6.jwltest.8
kernel-2.6.18-1.2699.fc6
kernel-2.6.18-1.2708.2.1.fc6.jwltest.9

The hwltest kernels are for the 3945 network driver but I tested with the stock
FC6 kernels and the same problem occurs. In fact, I booted 2699 to verify the
problem (and it occured) then booted the 2708 jwltest kernel and it worked.

I can test only stock kernels if you think the wireless driver is related but
like I said, it has occured with the 2699 stock kernel for sure.

This laptop does have an integrated camera and mic that seems to be loaded
through the usb system and that always load correctly. I don't know if that may
be interferring with the correct loading of the hda-intel driver or not.

I've only had the laptop since Tuesday so I don't know if this ever worked. It
worked on the FC6T3 firstboot but has been eratic since then.
Comment 1 John W. Linville 2006-10-24 09:11:31 EDT
Thomas, is this still an issue w/ recent fc6 and fc6.jwltest kernels?
Comment 2 Thomas J. Baker 2006-10-24 10:34:46 EDT
Well, I haven't installed fc6 proper yet but the last rawhide kernel released
(2798) does still have the problem.
Comment 3 Thomas J. Baker 2006-10-25 15:24:41 EDT
Installed fc6 yesterday and still have the same problem.  Looks like even when
it does work, there might be some problems:

Oct 24 15:00:05 continuity kernel: hda_intel: azx_get_response timeout,
switching to single_cmd mode...
Oct 24 15:54:08 continuity kernel: hda-intel: Error creating card!
Oct 25 08:43:28 continuity kernel: hda-intel: Error creating card!

Those are three different boots, the first being the first fc6 boot after install.
Comment 4 Thomas J. Baker 2006-10-26 09:07:25 EDT
Just some more info that might help. My earlier grep was case sensitive. This
one is not:

hda-intel: Error creating card!
HDA Intel: probe of 0000:00:1b.0 failed with error -12

rmmod snd_hda_intel and modprobe gives the same error. I've tried booting with
pci=routeirq but that didn't help either.
Comment 5 Thomas J. Baker 2006-10-26 19:10:58 EDT
I checked the Dell website and had high hopes when I saw a BIOS update that had
"3. Improved High Definition Audio Device performance." as a feature.
Unfortunately, it didn't help. After the flash, I rebooted and it did work that
first time. It also didn't give any warnings like in message #3 when it worked.
Booted again when I got home and it failed like normal again.

hda-intel: Error creating card!
HDA Intel: probe of 0000:00:1b.0 failed with error -12
Comment 6 Thomas J. Baker 2006-10-28 11:19:23 EDT
More info. I seem to have better luck with the driver when the system is cold
booted from poweroff. Also, when I get the "kernel: hda_intel: azx_get_response
timeout, switching to single_cmd mode..." error, the device acts like it's there
(mixers, etc, are happy) but no sound comes out. 

Seems the only time it works is when there is nothing in dmesg about hda_intel.
Comment 7 Martin 2006-10-29 12:04:35 EST
i have the same problem her on fc6 with kernel 2.6.18-1.2798.fc6 i686,
but only when i plug in my two usb devices (Philips SPC 900NC USB webcam;
Plantronics Plantronics Headset) into the Motherboard usb ports (P5WDG2 WS PRO)

Here are the error messages from messages:

Oct 29 15:27:50 gecko2 kernel: usb 1-1: device not accepting address 2, error -71
...
Oct 29 15:27:51 gecko2 kernel: Linux video capture interface: v2.00
Oct 29 15:27:51 gecko2 kernel: pwc: Philips webcam module version 10.0.12 loaded.
Oct 29 15:27:51 gecko2 kernel: pwc: Supports Philips PCA645/646,
PCVC675/680/690, PCVC720[40]/730/740/750 & PCVC830/840.
Oct 29 15:27:51 gecko2 kernel: pwc: Also supports the Askey VC010, various
Logitech Quickcams, Samsung MPC-C10 and MPC-C30,
Oct 29 15:27:51 gecko2 kernel: pwc: the Creative WebCam 5 & Pro Ex, SOTEC Afina
Eye and Visionite VCS-UC300 and VCS-UM100.
Oct 29 15:27:51 gecko2 kernel: sr0: scsi3-mmc drive: 62x/62x cd/rw xa/form2 cdda
tray
Oct 29 15:27:51 gecko2 kernel: Uniform CD-ROM driver Revision: 3.20
Oct 29 15:27:51 gecko2 kernel: sr1: scsi3-mmc drive: 48x/48x writer cd/rw
xa/form2 cdda tray
Oct 29 15:27:51 gecko2 kernel: pwc: Philips SPC 900NC USB webcam detected.
Oct 29 15:27:51 gecko2 kernel: pwc: Registered as /dev/video0.
Oct 29 15:27:51 gecko2 kernel: usbcore: registered new driver Philips webcam
Oct 29 15:27:51 gecko2 kernel: cannot find the slot for index 1 (range 0-1)
Oct 29 15:27:51 gecko2 kernel: RME Digi96: probe of 0000:01:00.0 failed with
error -12
Oct 29 15:27:51 gecko2 kernel: usbcore: registered new driver snd-usb-audio
Oct 29 15:27:51 gecko2 kernel: saa7146: register extension 'dvb'.
Oct 29 15:27:51 gecko2 kernel: ACPI: PCI Interrupt 0000:01:01.0[A] -> GSI 22
(level, low) -> IRQ 217
Oct 29 15:27:51 gecko2 kernel: saa7146: found saa7146 @ mem f895ec00 (revision
1, irq 217) (0x13c2,0x0003).
Oct 29 15:27:51 gecko2 kernel: cannot find the slot for index 0 (range 0-1)
Oct 29 15:27:51 gecko2 kernel: hda-intel: Error creating card!
Oct 29 15:27:51 gecko2 kernel: HDA Intel: probe of 0000:00:1b.0 failed with
error -12
...

wihtout USB Philips Webcam SPN 900, RME Soundcard works but with this errors:

Oct 29 15:58:06 gecko2 kernel: cannot find the slot for index 0 (range 0-1)
Oct 29 15:58:06 gecko2 kernel: hda-intel: Error creating card!
Oct 29 15:58:06 gecko2 kernel: HDA Intel: probe of 0000:00:1b.0 failed with
error -12

PNP in the BIOS is disabled
Comment 8 John W. Linville 2006-11-03 14:59:52 EST
Please ensure that you have the latest BIOS available for your box.  Sound 
hardware seems especially sensitive to BIOS initialization...
Comment 9 Martin 2006-11-04 12:59:36 EST
(In reply to comment #8)
> Please ensure that you have the latest BIOS available for your box.  Sound 
> hardware seems especially sensitive to BIOS initialization...
i have already installed the newest BIOS
P5WDG2 WS PRO BIOS 0408
Comment 10 Thomas J. Baker 2007-01-03 10:01:18 EST
FWIW, if I boot a PAE kernel, the intel sound doesn't load at all. I've tried
rebooting at least 10 times, rebooting and cold boots, and the sound has never
once worked. I have the latest BIOS. I've also noticed that if the system boots
and the system beeps when GDM comes up, sound never works.

This laptop does have an integrated webcam which I think is actually USB which
jives with comment #7. 
Comment 11 John W. Linville 2007-01-03 10:18:20 EST
Could you post the contents of your /etc/modprobe.conf?
Comment 12 Thomas J. Baker 2007-01-03 13:18:06 EST
continuity> cat /etc/modprobe.conf
alias eth0 b44
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel
continuity> 


I tried commenting out the snd-card options and that makes the snd-hda-intel
module load with no errors but I also get no sound...
Comment 13 John W. Linville 2007-01-03 13:26:41 EST
Could you try changing the "index=0" options to read "index=1" instead?  How 
does that change things?
Comment 14 Thomas J. Baker 2007-01-03 13:59:21 EST
Using index=1 causes the same problem as not having the option lines in
modprobe.conf; the snd-hda-intel modules loads without problems (no error, no
message at all in dmesg) but I don't get sound from any applications. Could that
be because the snd 0 device is now the mic in the webcam? I'll include a
screenshot of the gnome-mixer app to show you what I mean.
Comment 15 Thomas J. Baker 2007-01-03 14:01:04 EST
Created attachment 144727 [details]
screenshot of gnome-mixer when index=1 in modprobe.conf
Comment 16 Thomas J. Baker 2007-01-03 14:25:09 EST
This thread suggests that a newer/different intel driver that is distributed by
Dell might fix the problem:

http://www.linuxquestions.org/questions//showthread.php?t=509778

What version of the driver is included in current kernels?
Comment 17 John W. Linville 2007-01-04 09:38:13 EST
That gnome-mixer graphic does seem to suggest something.  Hmmm...

Have you tried changing the 'snd-card-0' reference in modprobe.conf to 
be 'snd-card-1'?  (while keeping the 'index=1' option for snd-card-1)?

Also, did you try the DKMS-based driver from Dell (as suggested in the thread 
you referenced)?

Honestly, I'm feeling my way in the dark a bit... :-(
Comment 18 Thomas J. Baker 2007-01-04 09:52:37 EST
I tried the DKMS driver and that didn't seem to help either (same results).
Using all 1s instead of 0s for snd-card and index= in the modprobe.conf didn't
help. Same problems, no errors but no sound.
Comment 19 Thomas J. Baker 2007-01-04 10:15:51 EST
The DKMS 1.0.6p driver won't even compile for the 2.6.18-1.2869 kernel, erroring
on too many arguments on a function call. Unfortunately, there doesn't seem to
be any version information in the hda source but diffing the in kernel version
and the DKMS version of hda_intel.c reveals many changes which leads me to
believe that the DKMS version is older.

The unfortunate thing is that it seems I get sound less often than I did with
older kernels. Right now I probably get it about 25% of my boots whereas it used
to be closer to 50%.
Comment 20 Thomas J. Baker 2007-01-09 10:40:46 EST
Good news... the 2.6.19 2888 test kernel from Dave that includes alsa 1.0.13 has
seemed to fix all my problems with sound. I've booted several times and the
sound works fine. The MIC that is part of the USB Webcam also works which it
never did before. Once the official FC6 kernel comes out, I think this bug can
be closed.
Comment 21 Thomas J. Baker 2007-01-09 14:23:58 EST
Another data point: Just tried the 2888 PAE kernel and it doesn't work. Same
error about creating card. Then I rebooted back to the non-PAE kernel and the
sound failed again. A cold boot restored it though. So I guess not as fixed as I
thought.
Comment 22 Thomas J. Baker 2007-01-10 21:10:35 EST
OK, not fixed at all. I've rebooted about 6 times just now, cold boots, reboots,
booting to windows and then rebooting, and the sound has failed each time. I
think the alsa update helps when the driver loads correctly but it's still the
intel hda driver that is having problems.
Comment 23 Martin 2007-01-11 03:28:27 EST
Another effect appears when i plug in my usb-Headset and cold boot my machine.
The probe for the HDA Intel Card fails.
Is this a Alsa or a USB related problem ?

dmesg:
usb 4-1: configuration #1 chosen from 1 choice
input: Plantronics Plantronics Headset as /class/input/input3
input: USB HID v1.00 Device [Plantronics Plantronics Headset] on usb-0000:00:1d.3-1

ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 21 (level, low) -> IRQ 24
cannot find the slot for index 0 (range 0-1)
hda-intel: Error creating card!
HDA Intel: probe of 0000:00:1b.0 failed with error -12

HDA Card is also missing in sndstat
Comment 24 Thomas J. Baker 2007-01-23 15:31:39 EST
I saw on fedora people that someone had outlined (in french!) steps to make FC6
work on each part of a Dell M1210 (same one as my problematic on in the bug
report) and he had changed modprobe.conf to specifically address the usb audio.
With a modprobe containing this, I've gotton sound on two reboots including one
with a PAE kernel:

alias snd-card-0 snd-hda-intel
alias snd-card-1 snd_usb_audio
options snd-card-0 index=0
options snd-hda-intel index=0
options snd-card-1 index=1
options snd_usb_audio index=1

I'm not sure if this is an actual fix or not but I've never had sound work with
a PAE kernel so it's a least a little better. We'll see.
Comment 25 Thomas J. Baker 2007-02-16 15:15:53 EST
This bug can be closed as far as I'm concerned. The modprobe.conf file additions
fixed all the sound problems for me. I can't remember the last boot where sound
didn't work.
Comment 26 William Lovaton 2007-11-12 17:14:11 EST
Dude, this is still happening on Fedora 8.  I have the very same laptop as
Thomas (Dell XPS M1210) and I get the following in /var/log/messages on every
reboot (well, it rarely works):

localhost kernel: cannot find the slot for index 0 (range 0-0), error: -16
localhost kernel: hda-intel: Error creating card!
localhost kernel: HDA Intel: probe of 0000:00:1b.0 failed with error -12

So please keep the bug open and update the fedora version and the severity please.

I am going to do this:
1) update the BIOS to the latest
2) If that doesn't work I'll test the modprobe thing in comment #24
3) Report back in this bug

Another thing, can anyone with an ubuntu system tell us what is configured in
modprobe?? I'll try using the live cd to check it out.
Comment 27 William Lovaton 2007-11-12 18:01:09 EST
It now works fine using the modprobe thing in comment #24.  I upgraded the BIOS
but it didn't solve anything.

I think the problem is caused because the USB Audio Device is detected first
than the HDA device.  I don't know if this situation can be handled directly
from the kernel.
Comment 28 Brian Maly 2007-11-13 11:48:59 EST
Looks like this hardware needs to go on the quirks blacklist so extra params
like those in comment #24 get set automagically at boot.

Can someone provide a 'lspci -v' and a 'lspci -n' output for the affected
hardware so I can grab the PCI ids?
Comment 29 William Lovaton 2007-11-13 22:27:33 EST
Created attachment 257661 [details]
Output of lspci -v
Comment 30 William Lovaton 2007-11-13 22:28:19 EST
Created attachment 257671 [details]
Output of lspci -n
Comment 31 Bug Zapper 2008-05-13 22:23:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Chris Shoemaker 2009-05-22 16:10:04 EDT
(In reply to comment #28)
> Looks like this hardware needs to go on the quirks blacklist so extra params
> like those in comment #24 get set automagically at boot.
> 
> Can someone provide a 'lspci -v' and a 'lspci -n' output for the affected
> hardware so I can grab the PCI ids?  

Brian, did you get the PCI ids you asked for?
Comment 33 Bug Zapper 2009-06-09 18:18:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Bug Zapper 2009-07-14 13:01:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.